Subject: [TOOLS-DEVELOPMENT] Rough Notes for Tools Call 2 Dec

From: Ray Pelletier <[email-masked]>
Date: Tue, 2 Dec 2014 14:31:40 -0500

Tools Call 2 Dec 14

Russ
Bob
Heather
Sandy
Tony
Ray
Henrik
Pete
Robert
Ryan

1. Datatracker Projects
   - Expected Datatracker Releases -- Robert and Henrik

	Henrik - a round up release this week; then a Jason export release
	Robert - django 1.7, IPR tool work, EDU team work and several schema changes
	Facelift?  - February timeframe
	Robert - we pay attention to Telechat cycles

   - IPR Tool improvements -- Robert

	Work is mostly done; Ryan close to finishing those out
	Awaiting feedback from folks, IESG - Pete to ping Adrian

   - Liaison Tool improvements -- Robert

	On Hold till after deploying IPR tool; January begin likely

Robert Add-ons:
- Additional Agenda tool enhancements  - sizable chunk of time needed

  * Allowing the graphical tool to work with leadership meetings, breaks, and breakout sessions

  * Initializing the timeslots and common items like breaks and registration for new meetings

- Datatracker optimization - Robert and Henrik time during next quarter

  * It's time to invest in measuring the datatracker performance and looking for ways to improve it.
	Glen to assist.

- Status on integrating a common review tracking tool into the datatracker
	Robert to do a first set of requirements in January

- Status on the facelift project
	Robert - IOLA being used to do this.  80% through it; on track for Feb deployment

2. Community & Other Projects
   - Present a directory view of active, archived, and unknown I-Ds	-- AMS

	Robert - I think this one should show Henrik and me for reporting until it's done.
We spent time on it in Honolulu, and determined that we since we need to
change how files are organized on disk to get this done, we might as well clean
some things up in the process. Henrik is writing up a proposal for what the resulting
storage structure will look like.  And then best way to test the changes.  Would prefer not to be working in the productive environment.

   - Mentor Support Tool -- AMS

   - IETF Website Makeover -- Joe and Greg
	In contract negotiations

3. RFC Services Projects
   - xml2rfc bug fixes -- Alice and Henrik
	More bug reports; plan to get 1st 2 releases out the door, then more urgent fixes middle of next week, then a week, not more; Sandy prioritized
	
   - DOI RFP -- Ray
	Two proposals received, TMC to review; possibly to IAOC for 18 Dec action

   - RFC Editor Website Makeover RFP -- Ray
	Two proposals received, TMC to review; possibly to IAOC for 18 Dec action

   - Automatic stats and reporting RFP -- Ray
	RSE postponed until Feb, possibly longer
	To be parked

   - rfclint SOW -- Robert
   - text submission converter SOW -- Robert

These (and the other format related SoW) are essentially done, but
I need to combine three of them into one.

The presentation format converter SoW relies on the drafts coming
from the format design team, which are nearing completion, but are
still changing rapidly.

One of the SoW, probably the presentation format converter, needs additional
text pointing to a description of the processing that will be performed on a
v3 document before publication as an RFC (things like calculating section anchors
and including the expanded boilerplate). The description itself will likely land in
the framework document.

  Community review when:  When Design Team documents ready to go.  
	Heather - don’t have a good answer yet; would like before Dallas

   - RSE's Design Team -- Heather

	Heather - don’t have a date yet.  Jim Schaad did a great deep dive for us.  
		CSS, Font requirements; calls today and every other week.
		At IETF 91 it seemed the community was taking this more seriously.

	Robert - level of detail is in right place and moving swiftly.

4. Transition of Mission Critical Tools
   - Moving mail aliases to ietf.org and link them to datatracker database

Mostly done. The aliases are working @ietf.org. Henrik is working on changing the
@tools.ietf.org to forward to @ietf.org.

   - Moving issue trackers and wikis for IETF WGs on ietf.org

Directorate and area wikis are ready.
The next step in moving the WGs is working through moving the subversion repositories.
Trying to make it easier for the Secretariat. 

Henrik - This next year, before Dallas is possible; mailing list, XML2RFC; next releases of data tracker out this year

5. Server Infrastructure
   - VM Architecture for Servers -- AMS

	Glen - Fremont mtg discussion on IETF infrastructure for way forward for improvement; Document to Russ today of 11 pages for the TMC.

   - iCal servers -- AMS
	WG Calendars been created?
	A calendar for each WG, and as they are created - to be done automatically, and permissions changed when new WG Chairs appointed.
	WG Chairs to administer each calendar.

   - IMAP access to the email archives -- Robert

The IMAP access project has started. Alexey and I met in Honolulu. We currently
expect most of the development effort to take place during December.

And, please add a bullet to talk about needed enhancements to the web-based
archive tool. Ryan and I discussed addressing a few points before starting on the
liaison tool work - these are captured as major priority items here:
<http://wiki.tools.ietf.org/tools/ietfdb/report/27>. For quick reference, these include:
 * Having the view that the archived-at URL resolves to show the context for the
    message within its list.
 * Keeping the current message selected when toggling in and out of thread view mode

6. IDIQ Contractors
   - Status of RFP for more IDIQ contractors -- Ray
	Awaiting agreement on the language. In the TMC for review and agreement.
	Following which an RFP can be forthcoming.

7. Parking Lot
   - Test Coverage -- Henrik

8. AOB